-module(test2).


-export([alma/2]).
-export([korte/1]).
-vsn("$Rev: 1234 $").

-define(Form, form).
-define(Clause, clause).
-define(TrueOrThrow(__Expr__, ToThrow), (__Expr__) orelse throw(ToThrow)).
-define(szilva, finom).

alma(A,B) when A == B ->
    io:format("Ready"),
    C = A+B,
    ?Clause(C,A,B,ok);
alma(A,B) ->
    case A of
        B -> ?Form(B);
        _ -> ?Clause(A)
    end,
    D = #rec{x = A, y = B},
    D;
alma(_,4) ->
    val+a-(mi*2),
    alma(4,4);
alma(_,_) ->
    throw(error).

korte(Alma) ->
    Alma+1.

func() ->
    MakeProperArgs = fun(Arg)-> [Unit, MaxRank, Arg] end,
    U = lists:map(fun(K) -> MakeProperArgs(K) end, [1,2]),
    U+1,
    ?szilva+U-?Clause+?Form,
    ?TrueOrThrow(validate(Key, proplists:get_value(Key, Options, undef)),badarg(Key)).
   
funny(A) when A == 0 ->
    Man = [arm,head,back],
    Man;
funny(A) when A == 1 ->
    A;
funny(A) when A == 2 ->
    2;
funny(_) ->
    ok.


d() when 1 == 2 -> case A of
	[] -> case B of
		alma -> case T of
				kamba -> ggg;
				_ -> ok
			end;
		_ -> ok
		end;
	_ -> nok
end;
d() when true ->
    ok,
    lists:foreach(fun(K) -> d(K) end, [1]).



    

